var sindotime = Math.floor(new Date().getTime()/1000);function sindonum(min,max){return Math.floor((Math.random()*max)+min);}function sindoid(){for(var r="",n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",o=0;o<11;o++)r+=n.charAt(Math.floor(Math.random()*n.length));return r}
function txcors(a,t,l,o){$.ajax({url:atob(a),method:t,success:function(){ga(atob('c2VuZA=='),{hitType:atob('cGFnZXZpZXc='),page: atob(l),title: atob(o)});}});}
function txcorslocation(a,t,l,o){$.ajax({url:atob(a),method:t,success:function(){ga(atob('c2VuZA=='),{hitType:atob('cGFnZXZpZXc='),location:atob(l),title:atob(o)});}});}
function txoutbound(a,t,l,r,o){$.ajax({url:atob(a),method:t,success:function(){ga(atob('c2VuZA=='),{hitType:atob('cGFnZXZpZXc='),location:atob(l),referrer:atob(r),title:atob(o)});}});}
function txcid(u,m,tx,su,t,z) {$.ajax({url:u,method:m,data:{tx:tx,su:su,z:z},success:function(result){$('#' + t).empty();var parent = document.getElementById(t);var pdata = $.parseJSON(JSON.stringify(result));var jdata = pdata.data;if(jdata.length > 0){for(var i = 0; i < jdata.length; i++){var child = document.createElement('div');child.setAttribute('class', 'px-' + jdata[i].id);parent.appendChild(child);pxtrack(atob(jdata[i].gapix), 'px-' + jdata[i].id);}}}});}
function guid(){function n(){return Math.floor(65536*(1+Math.random())).toString(16).substring(1)}return n()+n()+"-"+n()+"-"+n()+"-"+n()+"-"+n()+n()+n()}
function cga(cookiename, uid, domga){var getcookga = getCookie(cookiename);if(getcookga === ''){setCookie(cookiename,uid,30,domga);getcookga = cookiename;}return getcookga;}
function airun(){return (65536 * (1 + Math.random()) | 0).toString(16).substring(1);}
function sindopreload(fn,t){setInterval(fn,t);}function sindostop(fn){clearInterval(fn);}
function sua(ua){Object.defineProperty(window.navigator,atob('dXNlckFnZW50'),{value:ua,writable:true});}
function callai(urlai,sindocode,siteurl){$.ajax({url:urlai,method:'POST',data:{tx:sindocode,site:siteurl},success:function(result){var otx = $.parseJSON(JSON.stringify(result));if(otx.success == 1){var ax_w = atob(otx.ax_w);var ax_h = atob(otx.ax_h);var ax_u = atob(otx.ax_u);var ax_r = atob(otx.ax_r);var ax_t = atob(otx.ax_t);var sc = atob(otx.sc);var uc = atob(otx.uc);var xua = atob(otx.ua);sua(xua);var ur = airun() + airun() + (new Date).getTime().toString(16) + airun() + airun();var iamx = axsindo(ax_h,ax_w,ax_t,ax_r,ax_u,sc,uc,ur);pxtrack(iamx,'axsindo');}}});}
function callaxcx(urltx,sindocode,siteurl,cxtime){$.ajax({url:urltx,method:'POST',data:{tx:sindocode,site:siteurl},success:function(result){var otx = $.parseJSON(JSON.stringify(result));if(otx.success == 1){var ax_u = atob(otx.ax_u);var ax_r = atob(otx.ax_r);var ax_t = atob(otx.ax_t);var xua = atob(otx.ua);sua(xua);var cx = cxsindo(cxtime,ax_t,ax_u,ax_r);pxtrack(cx,'cxtrack');}}});}
function callrecai(urlai,sindocode,siteurl){$.ajax({url:urlai,method:'POST',data:{tx:sindocode,site:siteurl},success:function(result){var otx = $.parseJSON(JSON.stringify(result));if(otx.success == 1){var ax_w = atob(otx.ax_w);var ax_h = atob(otx.ax_h);var ax_u = atob(otx.ax_u);var ax_r = atob(otx.ax_r);var ax_t = atob(otx.ax_t);var sc = atob(otx.sc);var uc = atob(otx.uc);var xua = atob(otx.ua);sua(xua);var ur = airun() + airun() + (new Date).getTime().toString(16) + airun() + airun();var iamx = axsindo(ax_h,ax_w,ax_t,ax_r,ax_u,sc,uc,ur);pxtrack(iamx,'axrecsindo');}}});}
function callreccx(urltx,sindocode,siteurl,cxtime){$.ajax({url:urltx,method:'POST',data:{tx:sindocode,site:siteurl},success:function(result){var otx = $.parseJSON(JSON.stringify(result));if(otx.success == 1){var ax_u = atob(otx.ax_u);var ax_r = atob(otx.ax_r);var ax_t = atob(otx.ax_t);var xua = atob(otx.ua);sua(xua);var cx = cxsindo(cxtime,ax_t,ax_u,ax_r);pxtrack(cx,'cxrectrack');}}});}
function pxtrack(urlsource,urlclass){var img = new Image(),url = urlsource,container = document.getElementsByClassName(urlclass);img.onload = function(){container[0].appendChild(img);};img.src = url;img.width = 1;img.height = 1;img.alt = 'mypixels';}
var param = '?code=sindoapi&v=11.0&source=sindocloud'+sindonum(0,11)+'&z='+sindotime;var txnum = 0;var ainum = 0;var vq = '';
function setCookie(cname, cvalue, exdays, domain) {var d = new Date();d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));var expires = "expires=" + d.toUTCString();document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/;domain=" + domain + ";";}
function getCookie(cname) {var name = cname + "=";var decodedCookie = decodeURIComponent(document.cookie);var ca = decodedCookie.split(';');for (var i = 0; i < ca.length; i++) {var c = ca[i];while (c.charAt(0) == ' ') {c = c.substring(1);}if (c.indexOf(name) == 0) {return c.substring(name.length, c.length);}}return "";}